package com.franckbarbier.jdbc_javadb;

public final class JDBC_Embedded {

    private final java.sql.Connection _connection;

    public JDBC_Embedded() throws java.sql.SQLException {
// MAVEN dependency on 'derby-10.16.1.1.jar':
        _connection = java.sql.DriverManager.getConnection("jdbc:derby:memory:JDBC_test;create=true");
        java.sql.DatabaseMetaData dmd = _connection.getMetaData();
        if (dmd.getSQLStateType() == java.sql.DatabaseMetaData.sqlStateSQL99) {
            System.out.print(dmd.getDatabaseProductName() + " " + dmd.getDatabaseProductVersion() + " is SQL99-compliant\n");
        } else {
            System.out.print(dmd.getDatabaseProductName() + " " + dmd.getDatabaseProductVersion() + " isn't SQL99-compliant\n");
        }
        _connection.close();
    }

    public void close() {
        try {
            if (_connection != null) {
                _connection.close();
            }
        } catch (java.sql.SQLException sqle) {
            throw new RuntimeException(sqle);
        }
    }

    public static void main(String[] args) {
        JDBC_Embedded test = null;
        try {
            test = new JDBC_Embedded();
        } catch (java.sql.SQLException sqle) {
            sqle.printStackTrace();
            if (test != null) {
                test.close();
            }
        }
    }
}
